import { ExtendFunction, Middleware } from "..";
import * as Selector from "../request/Selector";
import { Core } from "../../..";
export declare type PathOption = {
    core: Core;
    paths?: Path[];
};
export declare type Path = {
    path: string;
    middleware?: Middleware | Middleware[];
    children?: Path[];
    execute?: ExtendFunction;
    model?: string;
    read?: boolean;
    insert?: boolean;
    update?: boolean;
    delete?: boolean;
    filter?: Selector.SelectorOption;
    data?: Selector.SelectorOption;
};
