export declare type SelectorOption = {
    auto?: boolean;
    local?: Selector;
    global?: Selector;
};
export declare type Selector = {
    [key: string]: SelectorTypes;
};
export declare type SelectorTypes = boolean | string | ((SelectorArgument | SelectorReference) & DefaultOption);
export declare type DefaultOption = {
    priority?: number;
    hidden?: boolean;
    require?: boolean;
};
export declare type SelectorArgument = {
    name: string;
};
export declare type SelectorReference = {
    model: string;
    select: string;
    autoArguments?: boolean;
    filter?: Selector;
};
