"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const ExecuteMiddleware_1 = __importDefault(require("../utils/ExecuteMiddleware"));
function default_1(path, core, execute, middleware) {
    return {
        path: `${path}`,
        type: "Execute",
        execute: (args = {}) => __awaiter(this, void 0, void 0, function* () {
            return ExecuteMiddleware_1.default(middleware, args)
                .then(() => execute(core, args))
                .then((result) => {
                if (result) {
                    return result;
                }
                else {
                    return {
                        data: [],
                        middleware: [],
                        validation: []
                    };
                }
            });
        })
    };
}
exports.default = default_1;
//# sourceMappingURL=ExecuteFunction.js.map