"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function buildDataValue(filter) {
    const object = {};
    if (filter && typeof filter === "object") {
        for (const key in filter) {
            const value = filter[key];
            if (typeof value === "number" || typeof value === "string" || value === null) {
                object[key] = value;
            }
        }
    }
    return object;
}
exports.default = buildDataValue;
//# sourceMappingURL=BuildDataValue.js.map