import { ApiRequestArgument, Result } from "../generator";
export declare type WsInput = {
    id: number;
    path: string;
    args: ApiRequestArgument;
};
export declare type WsOutput = WsOutputAnswer | WsOutputTrigger;
export declare type WsOutputAnswer = Result & {
    id: number;
    connection: ConnectionError[];
};
export declare type WsOutputTrigger = {};
export declare type ConnectionError = {
    name: string;
    description: string;
};
