import { Core } from "../core";
export declare abstract class Service {
    private readonly _nextTime;
    private readonly _interval;
    private readonly _name;
    private _core;
    private _caller;
    protected constructor(name: string, nextTime: number, interval?: boolean);
    init(core: Core): Promise<void>;
    abstract onEvent(core: Core): void;
    start(): Promise<void>;
    stop(): Promise<void>;
    private call;
}
export interface ServiceEventImpl {
    addService(service: Service): void;
    removeService(service: Service): void;
}
