import { DataBase } from "./index";
import { DB, FilterOption, Model, Value } from "../model";
export default class VirtualDB extends DataBase {
    private tables;
    private getTableByName;
    connect(): Promise<void>;
    createTable(model: Model): Promise<void>;
    disconnect(): Promise<void>;
    clear(): void;
    findByModel(model: Model, filter: DB.DBFilter, option?: FilterOption): Promise<Value[]>;
    insertByModel(data: Value, model: Model): Promise<Value>;
    updateByModel(data: Value, model: Model, filter: DB.DBFilter): Promise<void>;
    deleteByModel(model: Model, filter: DB.DBFilter): Promise<void>;
}
