import { ApiRequestArgument, Core, Error } from "../../..";
import { Descriptor } from "../descriptor/Descriptor";
export declare abstract class Middleware {
    description(): Descriptor;
    abstract pre(core: Core, args: ApiRequestArgument): Promise<Error[]>;
    abstract post(core: Core, args: ApiRequestArgument): Promise<Error[]>;
}
