import { ApiRequestFunction, Middleware, Permission } from "../index";
import { Core } from "../../../core";
import { Descriptor } from "../descriptor/Descriptor";
export declare type PathConfig = {
    core: Core;
    paths?: Path[];
    permission?: Permission[];
};
export declare type Path = {
    path: string;
    middleware?: Middleware | Middleware[];
    children?: Path[];
    permission?: string;
    descriptor?: Descriptor;
    execute?: ApiRequestFunction;
};
