import { Core } from "../../core/Core";
import { ApiRequestArgument } from "../request/ApiRequest";
export declare abstract class Middleware {
    readonly core: Core;
    constructor(core: Core);
    abstract call(args: ApiRequestArgument): Promise<MiddlewareError[]>;
}
export declare type MiddlewareError = {
    name: string;
    message?: string;
};
