"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function default_1(filter) {
    const object = {};
    if (filter && typeof filter === "object") {
        for (const key in filter) {
            const value = filter[key];
            if (typeof value === "number" || typeof value === "string" || Array.isArray(value)) {
                object[key] = value;
            }
            if (typeof value === "object") {
                const numberObject = {};
                if (value.min && typeof value.min === "number") {
                    numberObject.min = value.min;
                }
                if (value.max && typeof value.max === "number") {
                    numberObject.max = value.max;
                }
                object[key] = numberObject;
            }
        }
    }
    return object;
}
exports.default = default_1;
//# sourceMappingURL=BuildFilter.js.map