import * as WebSocket from "ws";
import { WsServer } from "./WsServer";
import { Core } from "../../core";
export declare class WsClient {
    readonly core: Core;
    readonly server: WsServer;
    private _ws;
    private readonly BadDataFormat;
    constructor(core: Core, server: WsServer, ws: WebSocket);
    close(): void;
    private initListener;
    private onMessage;
    private onClose;
    private send;
    private buildRequest;
    private executeRequest;
}
