import { DataValue } from "./DataValue";
import { Model } from "../Model";
export declare type ValidatorError = {
    name: string;
    notDefine?: string;
    type?: string;
    min?: string;
    max?: string;
    protection?: string;
    validate?: string;
    dependent?: string;
    require?: string;
};
export declare function validWithModel(data: DataValue, model: Model, require?: boolean, protection?: boolean): Promise<ValidatorError[]>;
