import { Model, Value } from "../Model";
import { Error, ErrorType } from "../../";
export declare type ValidatorError = Error & {
    type: ErrorType.Validation;
    details: {
        notDefine?: string;
        type?: string;
        min?: string;
        max?: string;
        protection?: string;
        validate?: string;
        dependent?: string;
        require?: string;
    };
};
export default function (data: Value, model: Model, require?: boolean, protection?: boolean): Promise<ValidatorError[]>;
